diff options
author | pmikus <pmikus@cisco.com> | 2016-06-03 08:00:59 +0100 |
---|---|---|
committer | Dave Wallace <dwallacelf@gmail.com> | 2016-06-03 14:22:44 +0000 |
commit | 986a656c8ab1581a14a94d3dadf7bb7fc87764e5 (patch) | |
tree | 2c705f021ec6d6390107336e4420e0c7dac31672 /resources/tools | |
parent | 8f328d362ff6572ed0cb9692abf5d02c4d4d62fb (diff) |
Update T-rex version to v2.03 with installation from robot
- JIRA: CSIT-132
- Update T-rex version to v2.03 with installation from robot
Change-Id: I7e222a61f88b1313273e6866dfc78d62b4d8ac93
Signed-off-by: pmikus <pmikus@cisco.com>
Diffstat (limited to 'resources/tools')
-rwxr-xr-x | resources/tools/t-rex/t-rex-installer.sh | 4 | ||||
-rwxr-xr-x | resources/tools/t-rex/t-rex-stateless-stop.py | 2 | ||||
-rwxr-xr-x | resources/tools/t-rex/t-rex-stateless.py | 2 |
3 files changed, 4 insertions, 4 deletions
diff --git a/resources/tools/t-rex/t-rex-installer.sh b/resources/tools/t-rex/t-rex-installer.sh index b7e9261106..1bf665c2de 100755 --- a/resources/tools/t-rex/t-rex-installer.sh +++ b/resources/tools/t-rex/t-rex-installer.sh @@ -1,6 +1,6 @@ #!/bin/sh -TREX_VERSION="2.02" +TREX_VERSION="2.03" TREX_DOWNLOAD_REPO="https://github.com/cisco-system-traffic-generator/trex-core/archive/" TREX_DOWNLOAD_PACKAGE="v${TREX_VERSION}.zip" @@ -24,7 +24,7 @@ cleanup () { trap cleanup EXIT -test -d ${TREX_INSTALL_DIR} && echo "T-REX aleready installed: ${TREX_INSTALL_DIR}" && exit 1 +test -d ${TREX_INSTALL_DIR} && echo "T-REX aleready installed: ${TREX_INSTALL_DIR}" && exit 0 wget -P ${WORKING_DIR} ${TREX_PACKAGE_URL} test $? -eq 0 || exit 1 diff --git a/resources/tools/t-rex/t-rex-stateless-stop.py b/resources/tools/t-rex/t-rex-stateless-stop.py index ed5ed7f590..4f222a75b1 100755 --- a/resources/tools/t-rex/t-rex-stateless-stop.py +++ b/resources/tools/t-rex/t-rex-stateless-stop.py @@ -28,7 +28,7 @@ Functionality: import sys -sys.path.insert(0, "/opt/trex-core-2.02/scripts/automation/"+\ +sys.path.insert(0, "/opt/trex-core-2.03/scripts/automation/"+\ "trex_control_plane/stl/") from trex_stl_lib.api import * diff --git a/resources/tools/t-rex/t-rex-stateless.py b/resources/tools/t-rex/t-rex-stateless.py index c68e2c4f48..77895d7b68 100755 --- a/resources/tools/t-rex/t-rex-stateless.py +++ b/resources/tools/t-rex/t-rex-stateless.py @@ -48,7 +48,7 @@ import string import struct import sys -sys.path.insert(0, "/opt/trex-core-2.02/scripts/automation/"+\ +sys.path.insert(0, "/opt/trex-core-2.03/scripts/automation/"+\ "trex_control_plane/stl/") from trex_stl_lib.api import * |